Bug 844845 - qemu: domxml-from-native: 'missing index/unit/bus parameter in drive'
qemu: domxml-from-native: 'missing index/unit/bus parameter in drive'
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
: 1038944 1205925 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 22:35 EDT by weizhang
Modified: 2016-06-09 09:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu-attach log (92.84 KB, text/plain)
2012-07-31 22:35 EDT, weizhang
no flags Details

  None (edit)
Description weizhang 2012-07-31 22:35:45 EDT
Created attachment 601634 [details]
qemu-attach log

Description of problem:
qemu-attach command report error when I try to attach a qemu-kvm process to libvirt

Version-Release number of selected component (if applicable):
kernel-2.6.32-289.el6.x86_64
libvirt-0.9.13-3.el6.x86_64
qemu-kvm-0.12.1.2-2.299.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start a guest with qemu command
# /usr/libexec/qemu-kvm -M rhel6.3.0 -enable-kvm -m 251 -smp 1,sockets=1,cores=1,threads=1 -name guest3 -uuid c544c118-a526-439a-9166-ac3f1f75c489 -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/guest3.monitor,server,nowait -rtc base=utc -no-shutdown -drive file=/var/lib/libvirt/migrate/guest3,if=none,id=drive-virtio-disk0,format=raw -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 &

# QEMUPID=$!

# virsh qemu-attach $QEMUPID

  
Actual results:
report error
error: internal error missing index/unit/bus parameter in drive 'file=/var/lib/libvirt/migrate/guest3,if=none,id=drive-virtio-disk0,format=raw'

Expected results:
should succeed

Additional info:
Comment 2 Cole Robinson 2016-04-21 18:09:01 EDT
Libvirt wants the unit/bus values so it can generate a disk target= value. But the parser should be smart enough to just generate a target value based on the disk order. If we implement target generation in generic code (which would be helpful for all API users, https://bugzilla.redhat.com/show_bug.cgi?id=1326526 ) then we probably can implement this easily
Comment 3 Cole Robinson 2016-04-21 18:09:12 EDT
*** Bug 1038944 has been marked as a duplicate of this bug. ***
Comment 4 Cole Robinson 2016-04-21 18:09:18 EDT
*** Bug 1205925 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.